[Bug 1358161] [NEW] Please backport squid-deb-proxy 0.8.8 (main) from utopic

Chris Glass christopher.glass at canonical.com
Mon Aug 18 08:00:52 UTC 2014


Public bug reported:

Please backport squid-deb-proxy 0.8.8 (main) from utopic to trusty.

Reason for the backport:
========================
squid-deb-proxy 0.8.8 fixes a race condition where the pacakge index and the packages
actually available differ (because the main archive set cache headers for indexes).
It is pretty rare to hit "manually", but breaks automatic tests relatively often.

The package is testable by adding

    ppa:~tribaal/ubumirror

Testing:
========
Mark off items in the checklist [X] as you test them, but please leave the checklist so that backporters can quickly evaluate the state of testing.

You can test-build the backport in your PPA with backportpackage:
$ backportpackage -u ppa:<lp username>/<ppa name> -s utopic -d trusty squid-deb-proxy

* trusty:
[ X ] Package builds without modification
[ X ] squid-deb-proxy-client-udeb installs cleanly and runs
[ X ] squid-deb-proxy installs cleanly and runs
[ X ] squid-deb-proxy-client installs cleanly and runs

Reverse dependencies:
=====================
The following reverse-dependencies need to be tested against the new version of squid-deb-proxy. For reverse-build-dependencies (-Indep), please test that the package still builds against the new squid-deb-proxy. For reverse-dependencies, please test that the version of the package currently in the release still works with the new squid-deb-proxy installed. Reverse- Recommends, Suggests, and Enhances don't need to be tested, and are listed for completeness-sake.

squid-deb-proxy-client-udeb
---------------------------

squid-deb-proxy
---------------
* maas-region-controller-min
  [ X ] trusty (Reverse-Depends)

squid-deb-proxy-client
----------------------

** Affects: trusty-backports
     Importance: Undecided
         Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Backporters, which is subscribed to trusty-backports.
Matching subscriptions: ubuntu-backporters
https://bugs.launchpad.net/bugs/1358161

Title:
  Please backport squid-deb-proxy 0.8.8 (main) from utopic

To manage notifications about this bug go to:
https://bugs.launchpad.net/trusty-backports/+bug/1358161/+subscriptions



More information about the ubuntu-backports mailing list